net.minecraft.network.play.client

## Class C03PacketPlayer

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.client.C03PacketPlayer

- Direct Known Subclasses:
    C03PacketPlayer.C04PacketPlayerPosition, C03PacketPlayer.C05PacketPlayerLook, C03PacketPlayer.C06PacketPlayerPosLook

      public class C03PacketPlayer
      extends Packet

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `C03PacketPlayer.C04PacketPlayerPosition`
    `static class` | `C03PacketPlayer.C05PacketPlayerLook`
    `static class` | `C03PacketPlayer.C06PacketPlayerPosLook`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `field_149473_f`
    `protected boolean` | `field_149474_g`
    `protected double` | `field_149475_d`
    `protected float` | `field_149476_e`
    `protected double` | `field_149477_b`
    `protected double` | `field_149478_c`
    `protected double` | `field_149479_a`
    `protected boolean` | `field_149480_h`
    `protected boolean` | `field_149481_i`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `C03PacketPlayer()`
    `C03PacketPlayer(boolean p_i45256_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `func_149462_g()`
    `boolean` | `func_149463_k()`
    `double` | `func_149464_c()`
    `boolean` | `func_149465_i()`
    `boolean` | `func_149466_j()`
    `double` | `func_149467_d()`
    `void` | `func_149469_a(boolean p_149469_1_)`
    `float` | `func_149470_h()`
    `double` | `func_149471_f()`
    `double` | `func_149472_e()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayServer p_149468_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_149479_a

          protected double field_149479_a

    - #### field_149477_b

          protected double field_149477_b

    - #### field_149478_c

          protected double field_149478_c

    - #### field_149475_d

          protected double field_149475_d

    - #### field_149476_e

          protected float field_149476_e

    - #### field_149473_f

          protected float field_149473_f

    - #### field_149474_g

          protected boolean field_149474_g

    - #### field_149480_h

          protected boolean field_149480_h

    - #### field_149481_i

          protected boolean field_149481_i

  - ### Constructor Detail

    - #### C03PacketPlayer

          public C03PacketPlayer()

    - #### C03PacketPlayer

          public C03PacketPlayer(boolean p_i45256_1_)

  - ### Method Detail

    - #### processPacket

          public void processPacket(INetHandlerPlayServer p_149468_1_)

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### func_149464_c

          public double func_149464_c()

    - #### func_149467_d

          public double func_149467_d()

    - #### func_149472_e

          public double func_149472_e()

    - #### func_149471_f

          public double func_149471_f()

    - #### func_149462_g

          public float func_149462_g()

    - #### func_149470_h

          public float func_149470_h()

    - #### func_149465_i

          public boolean func_149465_i()

    - #### func_149466_j

          public boolean func_149466_j()

    - #### func_149463_k

          public boolean func_149463_k()

    - #### func_149469_a

          public void func_149469_a(boolean p_149469_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`